Loading...
Searching...
No Matches
rostlab::bio::seq< _FmtT > Class Template Reference

`#include <readFasta.h>`

## Public Member Functions

| seq ()
| seq (const std::string &__desc, const std::string &__display_id, const std::string &__seqstr)
virtual | ~seq ()
std::string & | seqstr ()

## Detailed Description

template<typename _FmtT>
class rostlab::bio::seq< _FmtT >

Definition at line 37 of file readFasta.h.

## Constructor & Destructor Documentation

## seq() [1/2]

template<typename _FmtT>

rostlab::bio::seq< _FmtT >::seq | ( |  | ) |

inline

Definition at line 43 of file readFasta.h.

## seq() [2/2]

template<typename _FmtT>

rostlab::bio::seq< _FmtT >::seq | ( | const std::string & | __desc,
|  | const std::string & | __display_id,
|  | const std::string & | __seqstr )

inline

Definition at line 44 of file readFasta.h.

## ~seq()

template<typename _FmtT>

virtual rostlab::bio::seq< _FmtT >::~seq | ( |  | ) |

inline virtual

Definition at line 45 of file readFasta.h.

## Member Function Documentation

## seqstr()

template<typename _FmtT>

std::string & rostlab::bio::seq< _FmtT >::seqstr | ( |  | ) |

inline

Definition at line 47 of file readFasta.h.

The documentation for this class was generated from the following file:

- rostlab/readFasta.h